package com.yunfeiyun.agmp.common.web.system.mapper;

import com.yunfeiyun.agmp.common.core.domain.model.IBaseLoginLog;

import java.util.List;

/**
 * 系统访问日志情况信息 数据层
 * 
 * @author 杨晓辉
 */
public interface SysLogininLogMapper
{
    /**
     * 新增系统登录日志
     * 
     * @param loginLog 访问日志对象
     */
    public void insertLoginLog(IBaseLoginLog loginLog);

    /**
     * 查询系统登录日志集合
     * 
     * @param logininlog 访问日志对象
     * @return 登录记录集合
     */
    public List<IBaseLoginLog> selectLoginLogList(IBaseLoginLog logininlog);

    /**
     * 批量删除系统登录日志
     * 
     * @param infoIds 需要删除的登录日志ID
     * @return 结果
     */
    public int deleteLoginLogByIds(String[] infoIds);

    /**
     * 清空系统登录日志
     * 
     * @return 结果
     */
    public int cleanLoginLog();
}
